com.explodingpixels.widgets

## Class PopupMenuCustomizerUsingStrings

- java.lang.Object
- - com.explodingpixels.widgets.PopupMenuCustomizerUsingStrings

- All Implemented Interfaces:
    PopupMenuCustomizer

      public class PopupMenuCustomizerUsingStrings
      extends Object
      implements PopupMenuCustomizer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopupMenuCustomizerUsingStrings(ActionListener listener, List<String> menuItemStrings)`
    `PopupMenuCustomizerUsingStrings(ActionListener listener, String... menuItemStrings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `customizePopup(JPopupMenu popup)` Called just prior the given `JPopupMenu` being shown.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopupMenuCustomizerUsingStrings

          public PopupMenuCustomizerUsingStrings(ActionListener listener,
                                         String... menuItemStrings)

    - #### PopupMenuCustomizerUsingStrings

          public PopupMenuCustomizerUsingStrings(ActionListener listener,
                                         List<String> menuItemStrings)

  - ### Method Detail

    - #### customizePopup

          public void customizePopup(JPopupMenu popup)

      Description copied from interface: `PopupMenuCustomizer`
      Called just prior the given `JPopupMenu` being shown.
      Specified by:
        `customizePopup` in interface `PopupMenuCustomizer`
      Parameters:
        `popup` - the `JPopupMenu` about to be shown.